ImportApi_Upload
POST
/api/ImportApi/Upload
const url = 'https://salesapi.caspeco.net/api/ImportApi/Upload';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"Version":1,"Head":{"SystemName":"example","ComputerName":"example","GuId":"example","Vendor":"example","Hash":"example","SecretRev":1},"Data":{"Tickets":[{"Orders":[{"DateTime":"2026-04-15T12:00:00Z","DateTimeXml":"example","OperatorId":"example","OperatorName":"example","TableId":"example","Lines":[{"MixedLines":[],"Addons":[],"IsCorrection":true,"ArticleId":"example","ArticleName":"example","ArticleGroup":{"Parent":{},"Id":"example","Name":"example"},"EanCode":"example","Quantity":1,"PriceExVat":1,"Vat":1,"Cost":1,"DiscountExVat":1,"TotalPriceIncVatAndDisc":1,"Tags":{"additionalProperty":{}}}],"Tags":{"additionalProperty":{}}}],"SiteId":"example","SiteName":"example","ZoneId":"example","ZoneName":"example","ReceiptId":"example","TableId":"example","NumGuests":1,"OperatorId":"example","OperatorName":"example","Tip":1,"TakeAway":true,"Payment":"example","Currency":"example","ProjectId":"example","ProjectName":"example","IsCorrection":true,"Tags":{"additionalProperty":{}},"TableOpen":"2026-04-15T12:00:00Z","TableClose":"2026-04-15T12:00:00Z","TableOpenXml":"example","TableCloseXml":"example"}]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://salesapi.caspeco.net/api/ImportApi/Upload \ --header 'Content-Type: application/json' \ --data '{ "Version": 1, "Head": { "SystemName": "example", "ComputerName": "example", "GuId": "example", "Vendor": "example", "Hash": "example", "SecretRev": 1 }, "Data": { "Tickets": [ { "Orders": [ { "DateTime": "2026-04-15T12:00:00Z", "DateTimeXml": "example", "OperatorId": "example", "OperatorName": "example", "TableId": "example", "Lines": [ { "MixedLines": [], "Addons": [], "IsCorrection": true, "ArticleId": "example", "ArticleName": "example", "ArticleGroup": { "Parent": {}, "Id": "example", "Name": "example" }, "EanCode": "example", "Quantity": 1, "PriceExVat": 1, "Vat": 1, "Cost": 1, "DiscountExVat": 1, "TotalPriceIncVatAndDisc": 1, "Tags": { "additionalProperty": {} } } ], "Tags": { "additionalProperty": {} } } ], "SiteId": "example", "SiteName": "example", "ZoneId": "example", "ZoneName": "example", "ReceiptId": "example", "TableId": "example", "NumGuests": 1, "OperatorId": "example", "OperatorName": "example", "Tip": 1, "TakeAway": true, "Payment": "example", "Currency": "example", "ProjectId": "example", "ProjectName": "example", "IsCorrection": true, "Tags": { "additionalProperty": {} }, "TableOpen": "2026-04-15T12:00:00Z", "TableClose": "2026-04-15T12:00:00Z", "TableOpenXml": "example", "TableCloseXml": "example" } ] } }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Caspeco-Storage-Auth-Id
string
Used in Article
Caspeco-Storage-Auth-Secret
string
Used in Article
AuthKey
string
Used in ExportAPI
Request Bodyrequired
Section titled “Request Bodyrequired”object
Version
integer format: int32
Head
object
SystemName
string
ComputerName
string
GuId
string
Vendor
string
Hash
string
SecretRev
integer format: int32
Data
object
Tickets
Array<object>
object
Orders
Array<object>
object
DateTime
string format: date-time
DateTimeXml
string
OperatorId
string
OperatorName
string
TableId
string
Lines
Array<object>
object
MixedLines
Array<object> recursive
Addons
Array<object> recursive
IsCorrection
boolean
ArticleId
string
ArticleName
string
ArticleGroup
object
Parent
object recursive
Id
string
Name
string
EanCode
string
Quantity
number format: double
PriceExVat
number format: double
Vat
number format: double
Cost
number format: double
DiscountExVat
number format: double
TotalPriceIncVatAndDisc
number format: double
Tags
object
key
additional properties
object
Tags
object
key
additional properties
object
SiteId
string
SiteName
string
ZoneId
string
ZoneName
string
ReceiptId
string
TableId
string
NumGuests
integer format: int32
OperatorId
string
OperatorName
string
Tip
number format: double
TakeAway
boolean
Payment
string
Currency
string
ProjectId
string
ProjectName
string
IsCorrection
boolean
Tags
object
key
additional properties
object
TableOpen
string format: date-time
TableClose
string format: date-time
TableOpenXml
string
TableCloseXml
string
Examplegenerated
{ "Version": 1, "Head": { "SystemName": "example", "ComputerName": "example", "GuId": "example", "Vendor": "example", "Hash": "example", "SecretRev": 1 }, "Data": { "Tickets": [ { "Orders": [ { "DateTime": "2026-04-15T12:00:00Z", "DateTimeXml": "example", "OperatorId": "example", "OperatorName": "example", "TableId": "example", "Lines": [ { "MixedLines": [], "Addons": [], "IsCorrection": true, "ArticleId": "example", "ArticleName": "example", "ArticleGroup": { "Parent": {}, "Id": "example", "Name": "example" }, "EanCode": "example", "Quantity": 1, "PriceExVat": 1, "Vat": 1, "Cost": 1, "DiscountExVat": 1, "TotalPriceIncVatAndDisc": 1, "Tags": { "additionalProperty": {} } } ], "Tags": { "additionalProperty": {} } } ], "SiteId": "example", "SiteName": "example", "ZoneId": "example", "ZoneName": "example", "ReceiptId": "example", "TableId": "example", "NumGuests": 1, "OperatorId": "example", "OperatorName": "example", "Tip": 1, "TakeAway": true, "Payment": "example", "Currency": "example", "ProjectId": "example", "ProjectName": "example", "IsCorrection": true, "Tags": { "additionalProperty": {} }, "TableOpen": "2026-04-15T12:00:00Z", "TableClose": "2026-04-15T12:00:00Z", "TableOpenXml": "example", "TableCloseXml": "example" } ] }}object
Version
integer format: int32
Head
object
SystemName
string
ComputerName
string
GuId
string
Vendor
string
Hash
string
SecretRev
integer format: int32
Data
object
Tickets
Array<object>
object
Orders
Array<object>
object
DateTime
string format: date-time
DateTimeXml
string
OperatorId
string
OperatorName
string
TableId
string
Lines
Array<object>
object
MixedLines
Array<object> recursive
Addons
Array<object> recursive
IsCorrection
boolean
ArticleId
string
ArticleName
string
ArticleGroup
object
Parent
object recursive
Id
string
Name
string
EanCode
string
Quantity
number format: double
PriceExVat
number format: double
Vat
number format: double
Cost
number format: double
DiscountExVat
number format: double
TotalPriceIncVatAndDisc
number format: double
Tags
object
key
additional properties
object
Tags
object
key
additional properties
object
SiteId
string
SiteName
string
ZoneId
string
ZoneName
string
ReceiptId
string
TableId
string
NumGuests
integer format: int32
OperatorId
string
OperatorName
string
Tip
number format: double
TakeAway
boolean
Payment
string
Currency
string
ProjectId
string
ProjectName
string
IsCorrection
boolean
Tags
object
key
additional properties
object
TableOpen
string format: date-time
TableClose
string format: date-time
TableOpenXml
string
TableCloseXml
string
Examplegenerated
{ "Version": 1, "Head": { "SystemName": "example", "ComputerName": "example", "GuId": "example", "Vendor": "example", "Hash": "example", "SecretRev": 1 }, "Data": { "Tickets": [ { "Orders": [ { "DateTime": "2026-04-15T12:00:00Z", "DateTimeXml": "example", "OperatorId": "example", "OperatorName": "example", "TableId": "example", "Lines": [ { "MixedLines": [], "Addons": [], "IsCorrection": true, "ArticleId": "example", "ArticleName": "example", "ArticleGroup": { "Parent": {}, "Id": "example", "Name": "example" }, "EanCode": "example", "Quantity": 1, "PriceExVat": 1, "Vat": 1, "Cost": 1, "DiscountExVat": 1, "TotalPriceIncVatAndDisc": 1, "Tags": { "additionalProperty": {} } } ], "Tags": { "additionalProperty": {} } } ], "SiteId": "example", "SiteName": "example", "ZoneId": "example", "ZoneName": "example", "ReceiptId": "example", "TableId": "example", "NumGuests": 1, "OperatorId": "example", "OperatorName": "example", "Tip": 1, "TakeAway": true, "Payment": "example", "Currency": "example", "ProjectId": "example", "ProjectName": "example", "IsCorrection": true, "Tags": { "additionalProperty": {} }, "TableOpen": "2026-04-15T12:00:00Z", "TableClose": "2026-04-15T12:00:00Z", "TableOpenXml": "example", "TableCloseXml": "example" } ] }}object
Version
integer format: int32
Head
object
SystemName
string
ComputerName
string
GuId
string
Vendor
string
Hash
string
SecretRev
integer format: int32
Data
object
Tickets
Array<object>
object
Orders
Array<object>
object
DateTime
string format: date-time
DateTimeXml
string
OperatorId
string
OperatorName
string
TableId
string
Lines
Array<object>
object
MixedLines
Array<object> recursive
Addons
Array<object> recursive
IsCorrection
boolean
ArticleId
string
ArticleName
string
ArticleGroup
object
Parent
object recursive
Id
string
Name
string
EanCode
string
Quantity
number format: double
PriceExVat
number format: double
Vat
number format: double
Cost
number format: double
DiscountExVat
number format: double
TotalPriceIncVatAndDisc
number format: double
Tags
object
key
additional properties
object
Tags
object
key
additional properties
object
SiteId
string
SiteName
string
ZoneId
string
ZoneName
string
ReceiptId
string
TableId
string
NumGuests
integer format: int32
OperatorId
string
OperatorName
string
Tip
number format: double
TakeAway
boolean
Payment
string
Currency
string
ProjectId
string
ProjectName
string
IsCorrection
boolean
Tags
object
key
additional properties
object
TableOpen
string format: date-time
TableClose
string format: date-time
TableOpenXml
string
TableCloseXml
string
object
Version
integer format: int32
Head
object
SystemName
string
ComputerName
string
GuId
string
Vendor
string
Hash
string
SecretRev
integer format: int32
Data
object
Tickets
Array<object>
object
Orders
Array<object>
object
DateTime
string format: date-time
DateTimeXml
string
OperatorId
string
OperatorName
string
TableId
string
Lines
Array<object>
object
MixedLines
Array<object> recursive
Addons
Array<object> recursive
IsCorrection
boolean
ArticleId
string
ArticleName
string
ArticleGroup
object
Parent
object recursive
Id
string
Name
string
EanCode
string
Quantity
number format: double
PriceExVat
number format: double
Vat
number format: double
Cost
number format: double
DiscountExVat
number format: double
TotalPriceIncVatAndDisc
number format: double
Tags
object
key
additional properties
object
Tags
object
key
additional properties
object
SiteId
string
SiteName
string
ZoneId
string
ZoneName
string
ReceiptId
string
TableId
string
NumGuests
integer format: int32
OperatorId
string
OperatorName
string
Tip
number format: double
TakeAway
boolean
Payment
string
Currency
string
ProjectId
string
ProjectName
string
IsCorrection
boolean
Tags
object
key
additional properties
object
TableOpen
string format: date-time
TableClose
string format: date-time
TableOpenXml
string
TableCloseXml
string
object
Version
integer format: int32
Head
object
SystemName
string
ComputerName
string
GuId
string
Vendor
string
Hash
string
SecretRev
integer format: int32
Data
object
Tickets
Array<object>
object
Orders
Array<object>
object
DateTime
string format: date-time
DateTimeXml
string
OperatorId
string
OperatorName
string
TableId
string
Lines
Array<object>
object
MixedLines
Array<object> recursive
Addons
Array<object> recursive
IsCorrection
boolean
ArticleId
string
ArticleName
string
ArticleGroup
object
Parent
object recursive
Id
string
Name
string
EanCode
string
Quantity
number format: double
PriceExVat
number format: double
Vat
number format: double
Cost
number format: double
DiscountExVat
number format: double
TotalPriceIncVatAndDisc
number format: double
Tags
object
key
additional properties
object
Tags
object
key
additional properties
object
SiteId
string
SiteName
string
ZoneId
string
ZoneName
string
ReceiptId
string
TableId
string
NumGuests
integer format: int32
OperatorId
string
OperatorName
string
Tip
number format: double
TakeAway
boolean
Payment
string
Currency
string
ProjectId
string
ProjectName
string
IsCorrection
boolean
Tags
object
key
additional properties
object
TableOpen
string format: date-time
TableClose
string format: date-time
TableOpenXml
string
TableCloseXml
string
Examplegenerated
Version=1&SystemName=example&ComputerName=example&GuId=example&Vendor=example&Hash=example&SecretRev=1&Tickets=%5B%7B%22Orders%22%3A%5B%7B%22DateTime%22%3A%222026-04-15T12%3A00%3A00Z%22%2C%22DateTimeXml%22%3A%22example%22%2C%22OperatorId%22%3A%22example%22%2C%22OperatorName%22%3A%22example%22%2C%22TableId%22%3A%22example%22%2C%22Lines%22%3A%5B%7B%22MixedLines%22%3A%5B%5D%2C%22Addons%22%3A%5B%5D%2C%22IsCorrection%22%3Atrue%2C%22ArticleId%22%3A%22example%22%2C%22ArticleName%22%3A%22example%22%2C%22ArticleGroup%22%3A%7B%22Parent%22%3A%7B%7D%2C%22Id%22%3A%22example%22%2C%22Name%22%3A%22example%22%7D%2C%22EanCode%22%3A%22example%22%2C%22Quantity%22%3A1%2C%22PriceExVat%22%3A1%2C%22Vat%22%3A1%2C%22Cost%22%3A1%2C%22DiscountExVat%22%3A1%2C%22TotalPriceIncVatAndDisc%22%3A1%2C%22Tags%22%3A%7B%22additionalProperty%22%3A%7B%7D%7D%7D%5D%2C%22Tags%22%3A%7B%22additionalProperty%22%3A%7B%7D%7D%7D%5D%2C%22SiteId%22%3A%22example%22%2C%22SiteName%22%3A%22example%22%2C%22ZoneId%22%3A%22example%22%2C%22ZoneName%22%3A%22example%22%2C%22ReceiptId%22%3A%22example%22%2C%22TableId%22%3A%22example%22%2C%22NumGuests%22%3A1%2C%22OperatorId%22%3A%22example%22%2C%22OperatorName%22%3A%22example%22%2C%22Tip%22%3A1%2C%22TakeAway%22%3Atrue%2C%22Payment%22%3A%22example%22%2C%22Currency%22%3A%22example%22%2C%22ProjectId%22%3A%22example%22%2C%22ProjectName%22%3A%22example%22%2C%22IsCorrection%22%3Atrue%2C%22Tags%22%3A%7B%22additionalProperty%22%3A%7B%7D%7D%2C%22TableOpen%22%3A%222026-04-15T12%3A00%3A00Z%22%2C%22TableClose%22%3A%222026-04-15T12%3A00%3A00Z%22%2C%22TableOpenXml%22%3A%22example%22%2C%22TableCloseXml%22%3A%22example%22%7D%5DResponses
Section titled “Responses”OK
object
Examplegenerated
{}object
Examplegenerated
{}